Triggers immediate execution of a job.
curl --request POST \
--url https://api.strait.dev/v1/jobs/{jobID}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batch_key": "<string>",
"concurrency_key": "<string>",
"debounce_key": "<string>",
"dry_run": true,
"payload": "<unknown>",
"priority": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"tags": {},
"ttl_secs": 123
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
curl --request POST \
--url https://api.strait.dev/v1/jobs/{jobID}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batch_key": "<string>",
"concurrency_key": "<string>",
"debounce_key": "<string>",
"dry_run": true,
"payload": "<unknown>",
"priority": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"tags": {},
"ttl_secs": 123
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}